//package com.gxzc.zen.rpc.provider
//
//import com.alibaba.dubbo.config.annotation.Service
//import com.gxzc.zen.rpc.api.TestRpcService
//
///**
// * 示例代码(接口实现,服务提供者或生产者)
// * 服务提供者(生产者)实现接口供消费者使用
// * 例:
// * A/B 业务系统定义了接口TestRpcService且由B业务系统来实现 此时B为生产者 A为消费者
// * 消费者无需关心接口如何实现(只需要定义接口然后调用即可)
// * B:
// *  Service实现类需加入注解@Service并指定版本号(默认1.0) [com.alibaba.dubbo.config.annotation.Service] 请注意包名
// * A:
// *  使用@Reference(version = "1.0", application = "\${dubbo.application.id}") 注入 [com.alibaba.dubbo.config.annotation.Reference] 请注意包名
// *  注: java: @Reference(version = "1.0", application = "${dubbo.application.id}")
// * @author NorthLan
// * @date 2018/5/7
// * @url https://noahlan.com
// */
//@Service(version = "1.0",
//        application = "\${dubbo.application.id}")
//class TestRpcServiceImpl : TestRpcService {
//    override fun sayHello(name: String): String {
//        println("say hello: $name")
//        return name
//    }
//}